Skip to main content
GET
/
v0
/
tasks
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const taskListResponse of client.tasks.list()) {
  console.log(taskListResponse.id);
}
{
  "data": [],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 0,
    "totalPages": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
title,
status,
type,
lastTest,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

topicId
string<uuid>[]

Filter tasks by topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

status
enum<string>[]

Filter tasks by status

Available options:
success,
warning,
error,
no-tests
Example:
["success", "warning"]
evalDefinitionId
string<uuid>[]

Filter tasks by eval definition ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

tagId
string[]

Filter tasks by tag ID

Example:

"789e4567-e89b-12d3-a456-426614174000"

Search tasks by title or description (case-insensitive partial match)

Example:

"credit card"

confidenceLevel
enum<string>[]

Filter tasks by confidence level.

Statistical confidence level based on the width of the 95% confidence interval around the pass rate.

Available options:
HIGH,
MEDIUM,
LOW
Example:
["HIGH", "MEDIUM"]
stabilityLevel
enum<string>[]

Filter tasks by stability level.

Score stability level based on the standard deviation of evaluation scores.

Available options:
HIGH,
MEDIUM,
LOW
Example:
["HIGH", "MEDIUM"]
healthScoreLevel
enum<string>[]

Filter tasks by health score level.

Health score level: HIGH (90-100), MEDIUM (60-89), LOW (0-59).

Available options:
HIGH,
MEDIUM,
LOW
Example:
["HIGH", "MEDIUM"]

Response

Successfully retrieved tasks

Paginated response containing tasks

data
object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.